<?php
require_once (dirname(__FILE__) . '/config.php');

header('Content-Type: text/xml;charset=UTF-8');
echo ('<?xml version=\'1.0\' encoding=\'UTF-8\'?>' . "\n");
// last 10 events
$entries = array();
function endsWith($haystack, $needle, $case = true) {
 if ($case) {
  return (strcmp(substr($haystack, strlen($haystack) - strlen($needle)), $needle) === 0);
 }
 return (strcasecmp(substr($haystack, strlen($haystack) - strlen($needle)), $needle) === 0);
}

$files = array();
$dir = opendir(dirname(__FILE__) . "/data/");
while(($file = readdir($dir)) !== false) {
 if ($file !== '.' && $file !== '..' && endsWith($file, '.ok')) {
  $files[] = $file;
 }
}
closedir($dir);
rsort($files);

$lastUpdate = date("c");
$c = 0;
foreach($files as $file) {
 $o = json_decode(file_get_contents(dirname(__FILE__) . "/data/" . $file));
 $entry = array();
 $entry["name"] = $o->name;
 $entry["title"] = $o->title;
 $entry["time"] = date("c", $o->created);
 $entry["summary"] = $o->message;
 $entry["link"] = HTTP_BASE . "show.php?id=" . $o->id;
 $entries[$entry["time"]] = $entry;
 
 if ($c == 0) {
  $lastUpdate = $entry["time"];
 }
 $c ++;
 if ($c > 10) {
  break;
 }
}

?>
<feed xml:lang="de-DE" xmlns="http://www.w3.org/2005/Atom">
<title>Pinnwand <?php echo(NAME_PROVIDER); ?> (Activity Feed)</title>
<subtitle>die neuesten <?php echo(count($entries)); ?> Beiträge auf der Pinnwand</subtitle>
<link href="<?php echo(HTTP_BASE); ?>atom.php" rel="self" />
<updated><?php echo($lastUpdate); ?></updated> <author> <name>
<?php echo(NAME_PROVIDER); ?></name> <email><?php echo(EMAIL_PROVIDER); ?></email>
</author> <id>tag:<?php echo(ATOM_TAG_PREFIX.','.substr($lastUpdate, 0, 4).":".ATOM_TAG_PREFIX); ?></id>
<?php foreach($entries as $update=>$entry) { ?>
  <entry>
<title><?php echo(htmlspecialchars($entry["title"])); ?></title>
<link type='text/html' href='<?php echo($entry["link"]); ?>' />
<id>tag:<?php echo(ATOM_TAG_PREFIX.','.substr($entry["time"], 0, 4).":"); ?><?php echo($entry["link"]."#".$entry["time"]); ?></id>
<updated><?php echo($entry["time"]); ?></updated> <author> <name><?php echo(htmlspecialchars($entry["name"])); ?></name>
</author> <summary><?php echo(htmlspecialchars($entry["summary"])); ?></summary>
</entry>
<?php } ?>
</feed>
