<?php
require_once (dirname(__FILE__) . '/config.php');
require_once(dirname(__FILE__).'/version.php');

$cache="css-".VERSION.".gz";

error_reporting(E_ALL);
ini_set('display_errors', '1');

$css = array(
  "style.css",
  "lightbox/css/jquery.lightbox-0.5.css",
  "cleditor/jquery.cleditor.css",
);
function compress($s) {
 $s = "\x1f\x8b\x08\x00\x00\x00\x00\x00" . gzcompress($s, 9);
 return $s;
}
function create_css($gz) {
 global $css;
 global $lang;
 
 $s = "";
 foreach($css as $f) {
    $c = file_get_contents(dirname(__FILE__).'/'.$f);
    if (strpos($f, ".min.") === false) {
     require_once (dirname(__FILE__) . '/minify/CSS.php');
     $c = Minify_CSS::minify(replaceConfigs($c));
    }
    $s .= $c . "\n";
 }
 $s = compress($s);
 file_put_contents($gz, $s);
 return $s;
}

ini_set('max_execution_time', '120');

header('Cache-control: max-age=' . (60 * 60 * 24 * 365));
header('Content-Type: text/css; charset=utf-8');
$gz = dirname(__FILE__) . '/cache/' . $cache;
if (file_exists(dirname(__FILE__) . '/cache/' . $cache)) {
 if (isset($_SERVER['HTTP_ACCEPT_ENCODING']) && strstr($_SERVER['HTTP_ACCEPT_ENCODING'], "gzip")) {
  header("X-Compression: gzip");
  header("Content-Encoding: gzip");
  readfile($gz);
  exit();
 } else {
  echo (gzuncompress(substr(file_get_contents($gz), 8)));
 }
} else {
 $s = create_css($gz);
 if (isset($_SERVER['HTTP_ACCEPT_ENCODING']) && strstr($_SERVER['HTTP_ACCEPT_ENCODING'], "gzip")) {
  header("X-Compression: gzip");
  header("Content-Encoding: gzip");
  echo ($s);
 } else {
  echo (gzuncompress(substr($s, 8)));
 }
}
?>
